Skip to documentation
Workflow Developer API

Import Developer Workflow

Import canonical JSON as an inactive UMPA workflow with published version 1.

POST/developer/v1/workflows/import

Authorizations

Authorization
stringheaderrequired

Send your GenHealth credential as Bearer <YOUR_API_KEY>. This endpoint requires workflow:write for the authenticated organization.

Headers

Accept
stringheader

Response media type. Use application/json for the current API.

Parameters

This endpoint does not define request parameters.

Request body

Send an application/json request body. This body is required.

WorkflowImportEnvelope
kindstring
schema_versioninteger
workflowUpload shape with write-side limits that do not constrain exports.WorkflowImportBody

Responses

201Successful Response
WorkflowImportResponse
workflowWorkflowDefinitionResponse
warningsarray<WorkflowImportWarning>
422Validation Error
HTTPValidationError
detailarray<ValidationError>